<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 20: More About the Preprocessor</title>
<link href="sx5.html" rev=precedes>
<link href="sx6a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 20: More About the Preprocessor</H1>

<p>In this chapter we'll learn about two mildly advanced uses of the preprocessor:
``function-like'' preprocessor macros
(also called ``macros with arguments'')
and
``nested header files''
(also known as
``nested <TT>#include</TT> files'').
</p><p><a href="sx6a.html" rel=subdocument>20.1: Function-Like Preprocessor Macros</a></p>
<p><a href="sx6b.html" rel=subdocument>20.2 Nested Header Files</a></p>
<hr>
<p>
Read sequentially:
<a href="sx5.html" rev=precedes>prev</a>
<a href="sx6a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
